Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCwindow

## Properties

Properties of the class: WSCwindow are as follows.

Type | Property Name | Supplement | Default

char* | WSNname | Name |

char* | WSNtitleString | Title string |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

short | WSNx | X | 0

short | WSNy | Y | 0

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

unsigned char | WSNshadowThickness | Shadow thickness | 0

short | WSNforeColor | Foreground | DEF2

short | WSNbackColor | Background | DEF1

short | WSNtopShadowColor | Top shadow color | DEF3

short | WSNbottomShadowColor | Bottom shadow color | DEF4

short | WSNbackPixmap | Back pixmap |

char | WSNtitleBar | Title bar | 1

| No title | WS_NO_TITLE ( 0 ) |

| Full | WS_FULL_TITLE ( 1 ) |

| Title | WS_ONLY_TITLE ( 2 ) |

| Minimize btn | WS_MINI_BTN ( 3 ) |

| Maximize btn | WS_MAX_BTN ( 4 ) |

| Border | WS_FRAME ( 5 ) |

| Override redirect | WS_NO_MANAGE ( 6 ) |

char | WSNshadowType | Shadow type | 0

| In | WS_SHADOW_IN ( 1 ) |

| Out | WS_SHADOW_OUT ( 0 ) |

| Etched in | WS_SHADOW_EIN ( 3 ) |

| Etched out | WS_SHADOW_EOUT ( 2 ) |

| Border | WS_SHADOW_BORDER ( 4 ) |

| None | WS_SHADOW_TRANS ( -1 ) |

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNpixmapStyle | Pixmap style | 0

| Window | WS_DIRECT_WINDOW ( 0 ) |

| Dynamic pixmap | WS_DYNAMIC_PIXMAP ( 1 ) |

char* | WSNgroup | Group |

WSCbool | WSNunique | Unique | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned short | WSNmouse | Mouse No. | 0

unsigned char | WSNgradation | Gradation type | 0

| None | WS_GR_NONE ( 0 ) |

| LT to RB | WS_GR_LT_RB ( 1 ) |

| RT to LB | WS_GR_RT_LB ( 2 ) |

| LB to RT | WS_GR_LB_RT ( 3 ) |

| RB to LT | WS_GR_RB_LT ( 4 ) |

| T to B | WS_GR_T_B ( 5 ) |

| B to T | WS_GR_B_T ( 6 ) |

| L to R | WS_GR_L_R ( 7 ) |

| R to L | WS_GR_R_L ( 8 ) |

unsigned char | WSNgradationMargin | GradationMargin | 0

WSCbool | WSNexit | Exit | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNindicatorOn | Indicator on | 1

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned char | WSNmargin | Margin | 2

unsigned short | WSNmarginLeft | Margin Left | 2

WSCbool | WSNemboss | Emboss | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

unsigned char | WSNbarThickness | Bar thickness | 16

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNtitleString
  Function
    Spesifies the Title string.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNshadowThickness
  Function
    Spesifies the Shadow thickness.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNbackPixmap
  Function
    Spesifies the Back pixmap.
  Notice

- WSNtitleBar
  Function
    Spesifies the Title bar.
  Notice

- WSNshadowType
  Function
    Spesifies the Shadow type.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNpixmapStyle
  Function
    Spesifies the Pixmap style.
  Notice

- WSNgroup
  Function
    Spesifies the Group.
  Notice

- WSNunique
  Function
    Spesifies the unique.
  Notice

- WSNmouse
  Function
    Spesifies the Mouse No..
  Notice

- WSNgradation
  Function
    Spesifies the Gradation type.
  Notice

- WSNgradationMargin
  Function
    Spesifies the Gradation margin.
  Notice

- WSNexit
  Function
    Spesifies the Exit.
  Notice

- WSNindicatorOn
  Function
    Spesifies the Indicator on.
  Notice

- WSNmargin
  Function
    Spesifies the Margin.
  Notice

- WSNmarginLeft
  Function
    Spesifies the Margin Left.
  Notice

- WSNemboss
  Function
    Spesifies the Emboss.
  Notice

- WSNbarThickness
  Function
    Spesifies the Bar thickness.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.70
For Use with Wide Studio Release 3.70, Spring 2004

Wide Stuido Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004